Page MenuHomePhabricator

CX2: Make version parameter persistent between the Dashboard and the Translation editor
Closed, ResolvedPublic

Description

The "?version=2" parameter allows to try CX2 in production. Currently, when the parameter is used to access the version 2 of the dashboard it does not persist once a translation is started. That is, you start in CX2 dashboard and you end up in CX1 editor when starting a translation. Reaching the version 2 of the editor would be the expected behaviour instead.

If we want to ask editors to try the new version as part of future user research we want this transition to show tools of the same version. That is, the version parameter not to get lost.

We also need to consider how this may intersect with T187985: CX2: Open in-progress translations with the same editor version they were created

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 20 2018, 10:56 AM
Pginer-WMF triaged this task as Low priority.Feb 20 2018, 10:56 AM

Applying the parameter to editor once it's added to dashboard was my expected and desired behavior as well. Definitely something we can improve.

But, there is no such thing as CX1 and CX2 dashboard so far. One thing that can be different in the near future is personal header. Otherwise, dashboard is shared between CX1 and CX2.

Applying the parameter to editor once it's added to dashboard was my expected and desired behavior as well. Definitely something we can improve.
But, there is no such thing as CX1 and CX2 dashboard so far. One thing that can be different in the near future is personal header. Otherwise, dashboard is shared between CX1 and CX2.

Yes, there are no differences between CX1 and CX2 for the dashboard. The ticket intention is to make the dashboard aware of the version parameter, to direct people to the right version of the translation editor. Basically allowing us to share a link with a user to the dashboard for them to try the whole translation process using CX2.

Pginer-WMF updated the task description. (Show Details)Feb 22 2018, 10:06 AM

Change 418936 had a related patch set uploaded (by Santhosh; owner: Nikerabbit):
[mediawiki/extensions/ContentTranslation@master] Use the stored cx_version in the dashboard

https://gerrit.wikimedia.org/r/418936

santhosh moved this task from Priority backlog to In Review on the Language-2018-Jan-Mar board.

Change 418936 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] Use the stored cx_version in the dashboard

https://gerrit.wikimedia.org/r/418936

Etonkovidova closed this task as Resolved.Mar 20 2018, 9:54 AM
Petar.petkovic moved this task from QA to Done on the Language-2018-Jan-Mar board.Mar 20 2018, 9:55 AM